Subject: Re: [Lsr] Éric Vyncke's Discuss on draft-ietf-ospf-ospfv2-hbit-11: (with DISCUSS and COMMENT)

From: Alvaro Retana <[email-masked]>
Date: Mon, 2 Dec 2019 08:59:32 -0800

On November 30, 2019 at 11:21:01 AM, Éric Vyncke wrote:

Eric:

Hi!

> == DISCUSS ==
>
> -- Section 5 --
> The risk of having inconsistent view of the topology with H-bit aware and
> unaware routers seems possible to me (albeit perhaps only transient). Has
> this feature been tested / simulated in large scale networks?

Yes, as with other operations in a network (reconvergence, for
example), there is a risk of transient inconsistency.  §5 already
makes recommendations to mitigate transient states.  What explicitly
are you looking for to address your DISCUSS?

I'll let the authors reply about tests/simulations.

Thanks!

Alvaro.

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 2 Dec 2019 20:30:51 +0000

Alvaro

I do not mind too much the transient inconsistencies but more about longer term inconsistencies (1) hence my question about simulations / tests in the absence of mathematical proof.

The R-bit has always been in OSPFv3 (AFAIK), so, OSPFv3 does not have the same issue.

-éric

(1) having some routers being H-bit aware and other routers not processing the H-bit could probably introduce long term inconsistencies and loops.

On 02/12/2019, 17:59, "iesg on behalf of Alvaro Retana" <[email-masked] on behalf of [email-masked]> wrote:

    Eric:
    
    Hi!

    
    
    Thanks!
    
    Alvaro.

---

From: Padma Pillay-Esnault <[email-masked]>
Date: Mon, 2 Dec 2019 12:44:20 -0800

Hello Eric

On Mon, Dec 2, 2019 at 12:31 PM Eric Vyncke (evyncke) <[email-masked]>
wrote:

> Alvaro
>
> I do not mind too much the transient inconsistencies but more about longer
> term inconsistencies (1) hence my question about simulations / tests in the
> absence of mathematical proof.
>
The R-bit has always been in OSPFv3 (AFAIK), so, OSPFv3 does not have the
> same issue.
>
> -éric
>
> (1) having some routers being H-bit aware and other routers not processing
> the H-bit could probably introduce long term inconsistencies and loops.
>
>
As described in section 5
"All routers supporting H-Bit MUST check all the RI LSAs of nodes in the
area before actively running the modified SPF to account for the H-bit in
order to verify that all routers are in routing capability. If any router
does not advertise the Host Router Support capability then the SPF
Modifications (Section 4) MUST NOT be used in the area."

The H-bit aware routers will revert to normal operation if they detect
routers not processing the H-bit. Therefore, if ever there is a discrepancy
it not cause long term inconsistencies nor loops. In effect, H-bit
processing is either done by all or no one in the area.

Let me know if this answers your question.
Padma

> On 02/12/2019, 17:59, "iesg on behalf of Alvaro Retana" <
> [email-masked] on behalf of [email-masked]> wrote:
>

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Tue, 3 Dec 2019 08:39:39 +0000

Padma,

This is indeed what I understood by reading the section 5, OTOH, the ‘MUST’ is also a wishful thinking (bugs happen). I would feel more comfortable (and clear my DISCUSS), if the H-bit deployment has been tested in simulation or even in real network with a scenario where there is no H-bit aware routers first, then adding a couple of H-bit aware routers, then only H-bit aware routers and finally adding again a single non H-bit aware router. A failure could be quite catastrophic.

Also, my OSPF knowledge is a little rusty, but, can LSA be lost? So, having a wrong representation of the H-bit awareness.

You can call me paranoid :-) but I would like to get your point of view on the above.

-éric

From: iesg <[email-masked]> on behalf of Padma Pillay-Esnault <[email-masked]>
Date: Monday, 2 December 2019 at 21:44
To: Eric Vyncke <[email-masked]>
Cc: Éric Vyncke via Datatracker <[email-masked]>, "[email-masked]" <[email-masked]>, Alvaro Retana <[email-masked]>, "[email-masked]" <[email-masked]>, Yingzhen Qu <[email-masked]>, The IESG <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Éric Vyncke's Discuss on draft-ietf-ospf-ospfv2-hbit-11: (with DISCUSS and COMMENT)

Hello Eric

On Mon, Dec 2, 2019 at 12:31 PM Eric Vyncke (evyncke) <[email-masked]<mailto:[email-masked]>> wrote:
Alvaro

-éric

As described in section 5
"All routers supporting H-Bit MUST check all the RI LSAs of nodes in the area before actively running the modified SPF to account for the H-bit in order to verify that all routers are in routing capability. If any router does not advertise the Host Router Support capability then the SPF Modifications (Section 4) MUST NOT be used in the area."

The H-bit aware routers will revert to normal operation if they detect routers not processing the H-bit. Therefore, if ever there is a discrepancy it not cause long term inconsistencies nor loops. In effect, H-bit processing is either done by all or no one in the area.

On 02/12/2019, 17:59, "iesg on behalf of Alvaro Retana" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

    Eric:

    Hi!

    Thanks!

    Alvaro.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 3 Dec 2019 11:43:28 +0000

Hi Eric,

See inline.

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Tuesday, December 3, 2019 at 3:39 AM
To: Padma Pillay-Esnault <[email-masked]>
Cc: Éric Vyncke via Datatracker <[email-masked]>, "[email-masked]" <[email-masked]>, Alvaro Retana <[email-masked]>, "[email-masked]" <[email-masked]>, Yingzhen Qu <[email-masked]>, The IESG <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Éric Vyncke's Discuss on draft-ietf-ospf-ospfv2-hbit-11: (with DISCUSS and COMMENT)
Resent-From: <[email-masked]>
Resent-To: Yingzhen Qu <[email-masked]>, Christian Hopps <[email-masked]>, Acee Lindem <[email-masked]>
Resent-Date: Tuesday, December 3, 2019 at 3:39 AM

Padma,

It is common to in OSPF to use OSPF capabilities to be used to determine if optional features are in use within an OSPF routing domain. This dates back to RFC 1793 when the DC-bit in the Router-LSA options was used to indicate whether or not an OSPF router supports Demand Circuits including DoNotAge LSAs. So, irrespective of your concerns with implementation bugs, this is a tried and true OSPF protocol mechanism.

OSPF has reliable flooding so LSAs cannot get “lost”. And, if an LSA were indeed lost, it would be missing from the SPF topology and whether or not H-bit were being used would be a secondary concern.

Thanks,
Acee

-éric

Hello Eric

-éric

    Eric:

    Hi!

    Thanks!

    Alvaro.

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Tue, 3 Dec 2019 12:30:19 +0000

Acee

Thank you for the added information. I am clearing my DISCUSS

-éric

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tuesday, 3 December 2019 at 12:43
To: Eric Vyncke <[email-masked]>, Padma Pillay-Esnault <[email-masked]>
Cc: Éric Vyncke via Datatracker <[email-masked]>, "[email-masked]" <[email-masked]>, Alvaro Retana <[email-masked]>, "[email-masked]" <[email-masked]>, Yingzhen Qu <[email-masked]>, The IESG <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Éric Vyncke's Discuss on draft-ietf-ospf-ospfv2-hbit-11: (with DISCUSS and COMMENT)

Hi Eric,

See inline.

Padma,

Thanks,
Acee

-éric

Hello Eric

-éric

    Eric:

    Hi!

    Thanks!

    Alvaro.